List conversations
Base URL
https://{kibana_url}
GET
/api/agent_builder/conversations
GET
/s/{space_id} /api/agent_builder/conversations
Auth
List all conversations for a user. Use the optional agent ID to filter conversations by a specific agent. To learn more about agent conversations, refer to the agent chat documentation .
Privileges
agentBuilder:read
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
agent_id
string · max length: 64
Optional agent ID to filter conversations by a specific agent.
page
number · min: 1 · default: 1
Page number, 1-based.
per_page
number · min: 1 · max: 1000 · default: 1000
Number of results per page. Maximum 1000.
sort_order
enum · default: desc
Sort direction for results, ordered by updated_at.
Values:
asc
desc
pinned
boolean
Filter to pinned (true) or unpinned (false) conversations. Omit to return all.
200
Indicates a successful response
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
List conversations pinned
2 languages
Filter to pinned conversations
1 language
Request
Console
1 / 2 languages
‹
›
1
GET kbn://api/agent_builder/conversations?page=1&sort_order=desc
1
2
3
4
curl \
-X GET "${KIBANA_URL}/api/agent_builder/conversations?page=1&sort_order=desc" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "elastic-api-version: 2023-10-31"
Response
Example response filtered to pinned conversations only
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
{
"pagination": {
"page": 1,
"per_page": 1000,
"total": 3
},
"results": [
{
"agent_id": "elastic-ai-agent",
"created_at": "2025-08-01T10:00:00.000Z",
"id": "a1b2c3d4-1234-5678-abcd-000000000001",
"permissions": {
"delete": true,
"rename": true
},
"pinned": true,
"title": "Important reference conversation",
"updated_at": "2025-09-20T08:30:00.000Z",
"user": {
"username": "elastic"
}
}
]
}
Request
curl
1 / 1 language
1
2
3
4
curl \
-X GET "${KIBANA_URL}/api/agent_builder/conversations?pinned=true" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "elastic-api-version: 2023-10-31"
Response
Example response filtered to pinned conversations only
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
{
"pagination": {
"page": 1,
"per_page": 1000,
"total": 3
},
"results": [
{
"agent_id": "elastic-ai-agent",
"created_at": "2025-08-01T10:00:00.000Z",
"id": "a1b2c3d4-1234-5678-abcd-000000000001",
"permissions": {
"delete": true,
"rename": true
},
"pinned": true,
"title": "Important reference conversation",
"updated_at": "2025-09-20T08:30:00.000Z",
"user": {
"username": "elastic"
}
}
]
}